Subject: Re: Licensing and the library version of git

From: Shawn Pearce <[email-masked]>
Date: Wed, 26 Jul 2006 21:40:41 -0400

Jon Smirl <[email-masked]> wrote:
> Can the library version of git be licensed LGPL instead of GPL? If it
> is GPL then it can't be linked into non-GPL projects like Eclipse.

True.  But I have a pure-Java implementation of portions of GIT:

	- pack file reader, including delta decompression;
	- loose object reader (sans new pack header format);
	- loose object writer (blobs, trees, commits, no tags);
	- ref reader/basic resolver;
	- ref writer;
	- new repository creation;
	- tree and commit parsing;
	- n-way tree structure diff (no blob content diff);

and Eclipse UI for:

	- resource decorator showing object state;
	- rename tracking (well, automatic delete then add);
	- add file/folder to repository;
	- delete file/folder from repository;
	- save workspace state to a tree;
	- periodically flush modified files into blobs;

but I need UI still for creating a commit.  I'd like to get that
code finished this week and get the repository posted on the web
for others to start messing around with if they are interested.
This project has just been slow going for me as I'm working looooong
hours at my day job.  :-)

-- 
Shawn.